Bug 180483 - Multipath.conf listed defaults are not actual defaults
Multipath.conf listed defaults are not actual defaults
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: device-mapper-multipath (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Marzinski
:
Depends On:
Blocks: 181409
  Show dependency treegraph
 
Reported: 2006-02-08 10:45 EST by Rod Nayfield
Modified: 2010-01-11 21:23 EST (History)
11 users (show)

See Also:
Fixed In Version: RHEA-2006-0513
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 17:44:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rod Nayfield 2006-02-08 10:45:33 EST
Description of problem:

/etc/multipath.conf contains commented-out defaults.  However, these are not the
actual defaults.

Version-Release number of selected component (if applicable):
U3 beta

How reproducible:
Always

Steps to Reproduce:
1. Configure default install per http://people.redhat.com/nayfield/storage
2. multipath -ll
  
Actual results:

two priority groups, one path per group
 (aka 'failover')

Expected results:

one priority group, with two paths 
 (aka 'multibus')

Additional info:

either multibus should be used as the default,
-or-
multipath.conf should show that failover is the default

storage is 
Vendor: DotHill  Model: SANnet RAID X300 Rev: 0315
Comment 4 Alasdair Kergon 2006-03-03 12:02:30 EST
Yep: Put a comment at the top of the multipath.conf file explaining that these are
just examples.  And pointing the user to multipath.annotated.conf for
instructions and multipath.defaults.conf for the default settings.
Comment 7 Ben Marzinski 2006-04-19 14:57:16 EDT
Fixed. There is now a note at the top of the config file
Comment 11 Red Hat Bugzilla 2006-08-10 17:44:53 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2006-0513.html

Note You need to log in before you can comment on or make changes to this bug.